PrimeFaces.widget.ChartUtils = {
	
	createPollingParams : function(chartId) {
		var viewstate = PrimeFaces.ajax.AjaxUtils.encodeViewState();
	
		var params = "ajaxSource=" + chartId;
		params = params + "&primefacesAjaxRequest=true";
		params = params + "&javax.faces.ViewState=" + viewstate;
		
		return params;
	},
	
	itemSelectHandler: function(event, cfg) {
		var requestConfig = {formClientId : cfg.formClientId};
		
		var params = {};
		params['primefacesPartialProcess'] = cfg.clientId;
		params['seriesIndex'] = event.index;
		params['itemIndex'] = event.index;
		params['update'] = cfg.update;
		params[cfg.clientId] = cfg.clientId;
		
		if(cfg.oncomplete) {
			requestConfig.oncomplete=cfg.oncomplete;
		}
		
		PrimeFaces.ajax.AjaxRequest(cfg.url, requestConfig, params);
	}
};