PrimeFaces.widget.Poll = function(id, cfg) {
	this.id = id;
	this.cfg = cfg;
	this.start();
}

PrimeFaces.widget.Poll.prototype.start = function() {
	var options = this.cfg;
	var params = {};
	params['update'] = this.cfg.update;
	params[this.id] = this.id;
	if(this.cfg.primefacesPartialProcess) {
		params['primefacesPartialProcess'] = this.cfg.primefacesPartialProcess;
	}
	
	this.timer = setInterval(
			function() {
				PrimeFaces.ajax.AjaxRequest(options.url, options, params);
			}
			,(options.frequency * 1000));
}

PrimeFaces.widget.Poll.prototype.stop = function() {
	clearInterval(this.timer);
}